For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search Merchants

Search for merchants you are connected to given certain filter criteria.

Search Merchants

post
Query parameters
pageinteger · int32OptionalDefault: 1
sizeinteger · int32OptionalDefault: 20
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body
idinteger · int32Optional

The ID of the Merchant

namestringOptional

The name of the Merchant

commission_rate_minnumber · doubleOptional

The minimum commission rate of the Merchant

commission_rate_maxnumber · doubleOptional

The maximum commission rate of the Merchant

statusstring · enumOptional

The connection status of the Merchant

Possible values:
sort_bystringOptional

Property to sort by in camelCase

sort_directionstringOptional

Direction to sort by

Responses
default

default response

application/json
lastbooleanOptional

Boolean indicating if this is the last page

total_pagesinteger · int32Optional

The total count of pages available

total_elementsinteger · int32Optional

The total count of objects available

firstbooleanOptional

Boolean indicating if this is the first page of the response

number_of_elementsinteger · int32Optional

The total number of objects in this specific response

sizeinteger · int32Optional

The page size selected at request time

numberinteger · int32Optional

The page number selected at request time

emptybooleanOptional

Boolean indicating if the response content is empty

next_page_cursorstringOptional

Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.

post/merchants/search
default

default response

Last updated

Was this helpful?